<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('new_randd', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title', 500)->nullable();
            $table->string('province_id');
            $table->string('province_fa');
            $table->boolean('domain_id');
            $table->string('domain_fa');
            $table->string('project_amount');
            $table->boolean('credit_status');
            $table->string('rfp_file');
            $table->string('unique_code');
            $table->string('created_time_jalali');
            $table->string('fname_creator');
            $table->string('lname_creator');
            $table->string('phone_creator');
            $table->boolean('operation_status')->default(false);
            $table->timestamps();
            $table->string('proj_credit_resourse', 20)->nullable();
            $table->string('unique_id', 255)->nullable();
            $table->tinyInteger('project_status')->nullable()->default(1);
            $table->text('reject_description')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('new_randd');
    }
};
